package com.zkqy.execution.produce.dispersed.entity.runbpm;

import java.util.ArrayList;
import java.util.List;

/**
 * @author hanzihang
 * @date 2023/12/12 5:34 PM
 */
public class BpmRunNodeFromVo {

    /**
     * 流程任务编码
     */
    private String taskProcessKey;

    /**
     * 流程节点编码
     */
    private String taskNodeKey;

    /**
     * 当前节点绑定脚本
     */
    private String taskAutomaticScriptTriggerType;

    /**
     * 当前发起流程的计划编码
     */
    private String taskPlanKey;

    /**
     * 其他参数
     */
    private List<BpmRunNodeFormFilterConditionsVo> FormDataVoList;

    public BpmRunNodeFromVo() {
        FormDataVoList = new ArrayList<>();
    }

    public BpmRunNodeFromVo(String taskProcessKey, String taskNodeKey, String taskAutomaticScriptTriggerType, String taskPlanKey, List<BpmRunNodeFormFilterConditionsVo> formDataVoList) {
        this.taskProcessKey = taskProcessKey;
        this.taskNodeKey = taskNodeKey;
        this.taskAutomaticScriptTriggerType = taskAutomaticScriptTriggerType;
        this.taskPlanKey = taskPlanKey;
        FormDataVoList = formDataVoList;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("BpmRunNodeFromVo{");
        sb.append("taskProcessKey='").append(taskProcessKey).append('\'');
        sb.append(", taskNodeKey='").append(taskNodeKey).append('\'');
        sb.append(", taskAutomaticScriptTriggerType='").append(taskAutomaticScriptTriggerType).append('\'');
        sb.append(", taskPlanKey='").append(taskPlanKey).append('\'');
        sb.append(", FormDataVoList=").append(FormDataVoList);
        sb.append('}');
        return sb.toString();
    }

    public String getTaskProcessKey() {
        return taskProcessKey;
    }

    public void setTaskProcessKey(String taskProcessKey) {
        this.taskProcessKey = taskProcessKey;
    }

    public String getTaskNodeKey() {
        return taskNodeKey;
    }

    public void setTaskNodeKey(String taskNodeKey) {
        this.taskNodeKey = taskNodeKey;
    }

    public String getTaskAutomaticScriptTriggerType() {
        return taskAutomaticScriptTriggerType;
    }

    public void setTaskAutomaticScriptTriggerType(String taskAutomaticScriptTriggerType) {
        this.taskAutomaticScriptTriggerType = taskAutomaticScriptTriggerType;
    }

    public String getTaskPlanKey() {
        return taskPlanKey;
    }

    public void setTaskPlanKey(String taskPlanKey) {
        this.taskPlanKey = taskPlanKey;
    }

    public List<BpmRunNodeFormFilterConditionsVo> getFormDataVoList() {
        return FormDataVoList;
    }

    public void setFormDataVoList(List<BpmRunNodeFormFilterConditionsVo> formDataVoList) {
        FormDataVoList = formDataVoList;
    }


}
